# NAME

Task::Cpanel::3rdparty - These modules are used for 3rdparty application development with __cPanel & WHM__.

# SYNOPSIS

    cpan Task::Cpanel::3rdparty

# DESCRIPTION

This package includes all of the needed CPAN modules requested by 3rdparty integrators.

The first two numbers of this version (eg: 11.36) refer to the major version of cPanel which it applies to.

## MODULES NEEDED

- [Class::Std::Utils](http://search.cpan.org/perldoc?Class::Std::Utils)

Utility subroutines for building "inside-out" objects

- [CGI::Session](http://search.cpan.org/perldoc?CGI::Session)

persistent session data in CGI applications

- [Config::Crontab](http://search.cpan.org/perldoc?Config::Crontab)

Read/Write Vixie compatible crontab(5) files

- [Config::General](http://search.cpan.org/perldoc?Config::General)

Generic Config Module

- [Convert::BinHex](http://search.cpan.org/perldoc?Convert::BinHex)

extract data from Macintosh BinHex files

- [Convert::TNEF](http://search.cpan.org/perldoc?Convert::TNEF)

Perl module to read TNEF files

- [DBD::SQLite](http://search.cpan.org/perldoc?DBD::SQLite)

Self-contained RDBMS in a DBI Driver

- [Date::Format](http://search.cpan.org/perldoc?Date::Format)

Date formating subroutines

- [Date::Simple](http://search.cpan.org/perldoc?Date::Simple)

a simple date object

- [File::MimeInfo](http://search.cpan.org/perldoc?File::MimeInfo)

Determine file type

- [Gearman::Client](http://search.cpan.org/perldoc?Gearman::Client)

Client for gearman distributed job system

- [HTML::StripTags](http://search.cpan.org/perldoc?HTML::StripTags)

Strip HTML or XML tags from a string with Perl like PHP's strip\_tags() does

- [IO::Interactive](http://search.cpan.org/perldoc?IO::Interactive)

Utilities for interactive I/O

- [IO::Socket::SSL](http://search.cpan.org/perldoc?IO::Socket::SSL)

Nearly transparent SSL encapsulation for IO::Socket::INET.

- [IO::Stringy](http://search.cpan.org/perldoc?IO::Stringy)

I/O on in-core objects like strings and arrays

- [JSON](http://search.cpan.org/perldoc?JSON)

JSON (JavaScript Object Notation) encoder/decoder

- [JSON::XS](http://search.cpan.org/perldoc?JSON::XS)

JSON serialising/deserialising, done correctly and fast

- [LWP::UserAgent](http://search.cpan.org/perldoc?LWP::UserAgent)

Web user agent class

- [Mail::Header](http://search.cpan.org/perldoc?Mail::Header)

manipulate MIME headers

- [MIME::Tools](http://search.cpan.org/perldoc?MIME::Tools)

modules for parsing (and creating!) MIME entities

- [Mozilla::CA](http://search.cpan.org/perldoc?Mozilla::CA)

Mozilla's CA cert bundle in PEM format

- [Net::CIDR](http://search.cpan.org/perldoc?Net::CIDR)

Manipulate IPv4/IPv6 netblocks in CIDR notation

- [Net::DNS::SEC](http://search.cpan.org/perldoc?Net::DNS::Sec)

DNSSEC extensions to Net::DNS

- [Net::IP](http://search.cpan.org/perldoc?Net::IP)

Perl extension for manipulating IPv4/IPv6 addresses

- [Net::Ident](http://search.cpan.org/perldoc?Net::Ident)

lookup the username on the remote end of a TCP/IP connection

- [NetAddr::IP](http://search.cpan.org/perldoc?NetAddr::IP)

Manages IPv4 and IPv6 addresses and subnets

- [Pod::Escapes](http://search.cpan.org/perldoc?Pod::Escapes)

for resolving Pod E <...> sequences

- [Proc::ProcessTable](http://search.cpan.org/perldoc?Proc::ProcessTable)

Perl extension to access the unix process table

- [SOAP::Lite](http://search.cpan.org/perldoc?SOAP::Lite)

Perl's Web Services Toolkit

- [Smart::Comments](http://search.cpan.org/perldoc?Smart::Comments)

Comments that do more than just sit there

- [Sys::SigAction](http://search.cpan.org/perldoc?Sys::SigAction)

Perl extension for Consistent Signal Handling

- [Test::Pod](http://search.cpan.org/perldoc?Test::Pod)

check for POD errors in files

- [Unix::Syslog](http://search.cpan.org/perldoc?Unix::Syslog)

Perl interface to the UNIX syslog(3) calls

- [WWW::FieldValidator](http://search.cpan.org/perldoc?WWW::FieldValidator)

Provides simple validation of user entered input

# AUTHOR

cPanel, `<cpanel at cpan.org>`

# BUGS

Please report any bugs or feature requests to `bug-task-cpanel-3rdparty at rt.cpan.org`, or through
the web interface at [http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Task-Cpanel-3rdparty](http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Task-Cpanel-3rdparty).  We will be notified, and then you'll
automatically be notified of progress on your bug as we make changes.

# SUPPORT

You can find documentation for this module with the perldoc command.

    perldoc Task::Cpanel::3rdparty



You can also look for information at:

- RT: CPAN's request tracker (report bugs here)

[http://rt.cpan.org/NoAuth/Bugs.html?Dist=Task-Cpanel-3rdparty](http://rt.cpan.org/NoAuth/Bugs.html?Dist=Task-Cpanel-3rdparty)

- AnnoCPAN: Annotated CPAN documentation

[http://annocpan.org/dist/Task-Cpanel-3rdparty](http://annocpan.org/dist/Task-Cpanel-3rdparty)

- CPAN Ratings

[http://cpanratings.perl.org/d/Task-Cpanel-3rdparty](http://cpanratings.perl.org/d/Task-Cpanel-3rdparty)

- Meta CPAN

[http://metapan.org/module/Task-Cpanel-3rdparty/](http://metapan.org/module/Task-Cpanel-3rdparty/)



# ACKNOWLEDGEMENTS



# LICENSE AND COPYRIGHT

Copyright 2012 cPanel.

All rights reserved

http://cpanel.net

This is free software; you can redistribute it and/or modify it under the
same terms as Perl itself. See [perlartistic](http://search.cpan.org/perldoc?perlartistic).

See http://dev.perl.org/licenses/ for more information.


